package com.jz.dmp.modules.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.jz.dmp.modules.model.DmpWorkFlowSubmitDetails;

@Mapper
public interface DmpWorkFlowSubmitDetailsDao {

    public List<DmpWorkFlowSubmitDetails> getLatestUnderFlowByNodeName(Map map);

    public Integer getLatestVersionByProjectIdFlowNameAndNodeName(Map map);

    public void deleteDmpWorkFlowSubmitDetailsByProjectIdFlowNameAndNodeName(Map map);

    public List<DmpWorkFlowSubmitDetails> getAllJobNamesByProjectIdBesidesFlowName(Map map);

    public List<DmpWorkFlowSubmitDetails> findNodeHistory(DmpWorkFlowSubmitDetails body);

    public DmpWorkFlowSubmitDetails getMaxVersionByScheduleProjectIdAndFlowNameNodeName(Map map);

    public void deleteByFlow(DmpWorkFlowSubmitDetails detail);

    Integer countByNodeName(String nodeName);
    
    /**  
    * @Title: insert  
    * @Description: TODO(插入数据)  
    * @param @param detail
    * @param @throws Exception    参数  
    * @return void    返回类型  
    * @throws  
    */ 
    public void insert(DmpWorkFlowSubmitDetails detail)throws Exception;
}
