package com.jz.dmp.modules.controller.DataIntegration.bean.flow;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 流程每个节点
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class FlowNode implements Serializable {

    /**
     * 节点id
     */
    private String nodeId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 节点类型
     */
    private String nodeType;

    /**
     * 节点数据
     */
    private String nodeData;

    /**
     * 依赖的节点名称
     */
    private String dependedNodeName;

    /**
     * 节点位置
     */
    private String nodeLocation;

    /**
     * 节点内容
     */
    private String script;

    /**
     * 重试次数
     */
    private String retryTimes;

    /**
     * 重试间隔
     */
    private String retryInterval;
}

